
.searchInputDiv {
    position: relative;
    display: flex;
    align-items: center;
}

@media(max-width: 900px) and (min-width: 450px){
    .searchInput {
    padding-right: 30px;
    border-radius: 100px;
    border: 1px solid black;
    text-align: center;
    color: rgb(26, 26, 26);
    width: 9em;
}
}

@media(max-width: 450px) {
    .searchInput {
        padding-right: 30px;
        border-radius: 100px;
        border: 1px solid black;
        text-align: center;
        color: rgb(26, 26, 26);
        width: 8em;
        font-size: 12px;
        position: absolute;
    }

    .searchInput::placeholder {
        color: rgb(26, 26, 26)
    }
    nav>.searchAndSignInDiv {
        order: 2;
        margin-left: -90px;
    }
    .searchIcon {
        position: absolute;
        left: 76px;
        font-size: 11px;
        color: black;
    }
    .signIn {
        outline: none;
        border: none;
        white-space: nowrap;
        background-color: transparent;
        color: white;
        position: absolute;
        top: 12px;
        right: 32px;
        font-size: 11px;
    }
}
@media(min-width: 900px) {
    .searchInput {
        padding-right: 30px;
        border-radius: 100px;
        border: 1px solid black;
        text-align: center;
        color: rgb(26, 26, 26);
        width: 12em;
    }
}


    nav .mainMenu {
        height: 100vh;
        width: 100%;
        position: fixed;
        display: flex;
        top: 0;
        right: 0;
        left: 0;
        z-index: 10;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background-color: rgb(47, 47, 47);
        transform: translateY(-100%);
        border-bottom: 1px solid white;
        list-style: none;
    }

    nav .mainMenu::after, nav .mainMenuShow::after {
        content: '';
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background-image: url('/navBackground.png');
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        opacity: 0.1;
        z-index: -1;
    }

    nav .mainMenu, nav .mainMenuShow {
        transition: transform 1s ease;
    }

    nav .mainMenuShow {
        height: 100vh;
        width: 100%;
        top: 0;
        right: 0;
        left: 0;
        z-index: 10;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        transform: translateY(0);
        background-color: rgb(47, 47, 47);
        display: flex;
        position: fixed;
        list-style: none;
        border-bottom: 1px solid white;
    }



.searchInput::placeholder {
    color: rgb(26, 26, 26)
}

.searchIcon {
    position: absolute;
    right: 10px;
    color: black;
}

.searchIcon:hover {
    color: blue;
}

.searchAndSignInDiv {
    display: flex;
    align-items: center;
}

.signIn {
    outline: none;
    border: none;
    white-space: nowrap;
    background-color: transparent;
    color: white;
}

.signIn:hover {
    outline: none;
    border: none;
    color: rgb(149, 149, 253);
}

.iconX,
.iconMenu {
    width: 20px;
    height: 20px;
    font-size: 20px;
}

.closeMenu {
    font-size: 2rem;
    display: none;
    cursor: pointer;
}

nav {
    background-color: rgb(32, 32, 32);
    color: rgb(255, 255, 255);
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    height: 42px;
}


nav>div:first-child {
    justify-self: start;
}

nav>div:nth-child(3) {
    justify-self: center;
}

nav>div:nth-child(2) {
    justify-self: end;
}

nav>div:last-child {
    justify-self: end;
}

nav>.logo {
    order: 1;
}

nav>.openMenu {
    order: 2;
}

nav>.searchAndSignInDiv {
    order: 4;
    height: 100%;
}

nav .mainMenu li .link {
    display: inline-block;
    outline: none;
    background-color: transparent;
    border: none;
    text-transform: uppercase;
    color: white;
    font-size: 1.5rem;
    white-space: nowrap;
    margin-right: 20px;
}


nav .mainMenuShow li .link  {
    display: inline-block;
    outline: none;
    background-color: transparent;
    border: none;
    text-transform: uppercase;
    color: white;
    font-size: 1.5rem;
    white-space: nowrap;
    margin-right: 20px;
}

nav .mainMenu li .link:hover,
nav .mainMenuShow li .link:hover,
nav .mainMenu li .link:focus,
nav .mainMenuShow li .link:focus,
nav .mainMenu li .link:active,
nav .mainMenuShow li .link:active {
    color: rgb(149, 149, 253);
    border-bottom: 1px solid rgb(149, 149, 253);
    font-size: 1.6rem;
    padding: 0;
}

nav .mainMenuShow .link:focus,
nav .mainMenuShow .link:active,
nav .mainMenuShow .link:focus,
nav .mainMenuShow .link:active {
    color: rgb(149, 149, 253);
    scale: .90;
}


nav .openMenu {
    font-size: 2rem;
    display: none;
    cursor: pointer;
}

nav .linkHome {
    text-decoration: none;
    color: rgb(110, 137, 255);
    height: fit-content;
}

nav .linkHome:hover {
    text-decoration: none;
    color: rgb(137, 158, 255);
}

nav .logo {
    display: flex;
    align-items: center;
    font-size: 28px;
    cursor: pointer;
    margin-left: 10px;
    text-decoration: none;
    position: relative;
    height: fit-content;
}

@media(max-width: 900px) {
    nav {
        background-color: rgb(32, 32, 32);
        color: rgb(255, 255, 255);
        display: grid;
        grid-template-columns: .2fr 1fr .2fr;
        height: 42px;
    }

    nav>.logo {
        order: 1;
    }

    nav>.openMenu {
        order: 4;
        top: -5px;
        right: 10px;
        display: block;
        position: absolute;
    }

    nav>.openMenu:hover {
        color: rgb(149, 149, 253);
        scale: .98;
    }
    nav>.openMenu:focus,
    nav>.openMenu:active {
        color: rgb(149, 149, 253);
        scale: .90;
    }


    nav>.searchAndSignInDiv {
        order: 2;
        margin-top: 0;
    }
    nav>div:nth-child(3) {
        justify-self: start;
    }

    nav>div:nth-child(4) {
        justify-self: center;
    }

    nav .mainMenuShow .closeMenu {
        display: block;
        position: absolute;
        top: -4px;
        right: 10px;
        position: absolute;
    }

    nav .mainMenuShow .closeMenu:hover{
        color: rgb(149, 149, 253);
        scale: .98;
    }

    nav .mainMenuShow .closeMenu:focus,
    nav .mainMenuShow .closeMenu:active {
        color: rgb(149, 149, 253);
        scale: .90;
    }
}


.musicIconNav {
    color: rgb(108, 108, 255);
    position: absolute;
    width: 65px;
    height: 65px;
    left: 50px;
    top: -3px;
}


@keyframes slideDown {
    from {
        transform: translateY(-100%);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.above900UL {
    visibility: visible;
    opacity: 0;
    transform: translateY(-100%);
    transition: opacity .5s, transform 1s;
    animation: slideDown 1s ease forwards;
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 0;
}


nav .above900UL li .link {
    display: inline-block;
    outline: none;
    background-color: transparent;
    border: none;
    text-transform: uppercase;
    color: white;
    font-size: 1.2rem;
    white-space: nowrap;
    margin-right: 20px;
}

nav .above900UL li .link:hover,
nav .above900UL li .link:focus,
nav .above900UL li .link:active {
    color: rgb(149, 149, 253);
    border-bottom: 1px solid rgb(149, 149, 253);
}

nav .above900UL .link:focus,
nav .above900UL .link:active {
    color: rgb(149, 149, 253);
    scale: .90;
}

nav>.above900UL {
    order: 3;
}
